İçeriğe geç

Nano Banana 2

Entegre et

Model kimliği nano-banana-2
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.com/v1/run/nano-banana-2?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "prompt": "Hyper-realistic miniature luxury farmhouse construction site at the very first stage of construction, viewed through cinematic macro photography. A small rectangular foundation area partially prepared on natural brown sand and compact soil, realistic miniature construction materials scattered naturally around the site, tiny red bricks, miniature cement bags, wooden beams, gravel, sand piles, metal rods, tiny buckets, miniature trowel, measuring tape, spirit level and other authentic construction tools. Giant human fingers and realistic human hands carefully interacting with the miniature materials, positioning the first construction pieces. The future farmhouse footprint clearly visible but construction has only just begun, with no completed walls or roof. Subtle markings and foundation trenches visible in the soil. A small empty area beside the foundation reserved for a future swimming pool. Extremely realistic material scale, authentic construction imperfections, tiny dust particles, cement residue, fingerprints, rough brick texture and granular soil detail. Professional miniature craftsmanship, photorealistic 8K detail, cinematic studio lighting, realistic soft shadows, shallow depth of field, strong foreground-to-background scale contrast, sharp focus on construction area, premium macro lens photography, realistic bokeh, natural color reproduction, high dynamic range, tactile textures, physically accurate lighting, believable human-to-miniature scale, no cartoon appearance, no CGI look, no text, no watermark.",
    "resolution": "1K"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.com/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

Bu istek: $0,08 80 API kredisi Bu sayfada çalıştır

API anahtarı al
Google Metinden Görsele 4K çıktı4K değerine kadar #typography#fast#wide-formats

Google'ın hızlı Gemini görüntü modeli; hızlı 0.5K taslaklardan 4K'ya, aşırı en-boy oranları ve web dayanaklandırmasıyla.

Örnekler

Çıktı · ~19 s
Hyper-realistic miniature luxury farmhouse construction site at the very first stage of construction, viewed through ...

İstemHyper-realistic miniature luxury farmhouse construction site at the very first stage of construction, viewed through cinematic macro photography. A small rectangular foundation area partially prepared on natural brown sand and compact soil, realistic miniature construction materials scattered naturally around the site, tiny red bricks, miniature cement bags, wooden beams, gravel, sand piles, metal rods, tiny buckets, miniature trowel, measuring tape, spirit level and other authentic construction tools. Giant human fingers and realistic human hands carefully interacting with the miniature materials, positioning the first construction pieces. The future farmhouse footprint clearly visible but construction has only just begun, with no completed walls or roof. Subtle markings and foundation trenches visible in the soil. A small empty area beside the foundation reserved for a future swimming pool. Extremely realistic material scale, authentic construction imperfections, tiny dust particles, cement residue, fingerprints, rough brick texture and granular soil detail. Professional miniature craftsmanship, photorealistic 8K detail, cinematic studio lighting, realistic soft shadows, shallow depth of field, strong foreground-to-background scale contrast, sharp focus on construction area, premium macro lens photography, realistic bokeh, natural color reproduction, high dynamic range, tactile textures, physically accurate lighting, believable human-to-miniature scale, no cartoon appearance, no CGI look, no text, no watermark.

1K$0,08 · 80 API kredisi

X'te @Strength04_X tarafından gönderilen istem

İstek oluştur

Kontroller model şemasından oluşturulur. Değerleri değiştirdikçe kod ve fiyat güncellenir.

•gerekli 1538 / 50000

Görsel üretmek için kullanılan metin talimatları.

resolution

Çıktı görselinin çözünürlüğü.

thinking_level

Modelin düşünmesini ilgili düzeyde etkinleştirmek ve düşüncelerini üretime dahil etmek için 'minimal' veya 'high' seçin; düzey ayarlanmazsa düşünme devre dışı kalır.

varsayılan auto

Üretilen görselin en-boy oranını açıkça seçin; 4:1, 1:4, 8:1 veya 1:8 gibi uç seçenekler dahil olmak üzere bir oran seçebilir ya da modelin isteme göre seçim yapması için "auto" seçebilirsiniz.

num_images varsayılan 1

Üretim için istenen görsel sayısı.

Gelişmiş system_prompt · output_format · safety_tolerance · seed · limit_generations
0 / 50000

Gemini'ye sistem talimatı, OpenAI uyumlu sağlayıcılara ise sistem mesajı olarak iletilen, istek genelinde isteğe bağlı persona ve çıktı stili yönlendirmesi. Değer boş olduğunda bu talimat için hiçbir şey gönderilmez.

output_format varsayılan png

Ortaya çıkan görselin dosya biçimi.

safety_tolerance varsayılan 4

İçerik denetimi toleransını en az kısıtlayıcı seviye olan 6 ile çoğu içeriği engelleyen en katı seviye olan 1 arasında ayarlar.

Rastgele sayı üretimini başlatan seed değeri.

POST /run/nano-banana-2?wait=20 fiyat → $0,08
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.com/v1/run/nano-banana-2?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "prompt": "Hyper-realistic miniature luxury farmhouse construction site at the very first stage of construction, viewed through cinematic macro photography. A small rectangular foundation area partially prepared on natural brown sand and compact soil, realistic miniature construction materials scattered naturally around the site, tiny red bricks, miniature cement bags, wooden beams, gravel, sand piles, metal rods, tiny buckets, miniature trowel, measuring tape, spirit level and other authentic construction tools. Giant human fingers and realistic human hands carefully interacting with the miniature materials, positioning the first construction pieces. The future farmhouse footprint clearly visible but construction has only just begun, with no completed walls or roof. Subtle markings and foundation trenches visible in the soil. A small empty area beside the foundation reserved for a future swimming pool. Extremely realistic material scale, authentic construction imperfections, tiny dust particles, cement residue, fingerprints, rough brick texture and granular soil detail. Professional miniature craftsmanship, photorealistic 8K detail, cinematic studio lighting, realistic soft shadows, shallow depth of field, strong foreground-to-background scale contrast, sharp focus on construction area, premium macro lens photography, realistic bokeh, natural color reproduction, high dynamic range, tactile textures, physically accurate lighting, believable human-to-miniature scale, no cartoon appearance, no CGI look, no text, no watermark.",
    "resolution": "1K"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.com/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

Bu isteği çalıştır

Anahtarınız bu tarayıcıda kalır: yalnızca Doitong API'ye gönderilir ve yalnızca Hatırla seçeneğini işaretlerseniz localStorage'a kaydedilir. API anahtarı al

Doitong'ta oluşturuldu

Doitong topluluğunun Nano Banana 2 ile oluşturduğu herkese açık çalışmalar. Bir istemi tek tıklamayla yeniden kullanın.

Gösterilen herkese açık çalışma sayısı: 16
Art style: Cinematic Realistic. Интерьер роскошного банкетного зала в загородном особняке, заполн...

Art style: Cinematic Realistic. Интерьер роскошного банкетного зала в загородном особняке, заполненного нарядными гостями. Повсюду видны хрустальные бокалы с шампанским. Освещение яркое, с динамичными вспышками света, создающими атмосферу праздника. В центре композиции — Стася (желтые волосы и...

Art style: Cinematic Realistic. Макросъемка ладони Стаси, скрытой за ее спиной, в которой она сжи...

Art style: Cinematic Realistic. Макросъемка ладони Стаси, скрытой за ее спиной, в которой она сжимает современный смартфон. Экран телефона ярко вспыхивает в полумраке, отображая текстовое сообщение от неизвестного номера. Текст сообщения четкий и контрастный на темном фоне дисплея. На заднем...

Art style: Cinematic Realistic. A clearly recognizable likeness of Подруга — keep their real face...

Art style: Cinematic Realistic. A clearly recognizable likeness of Подруга — keep their real face shape, skin tone, hairstyle, build and any signature look (hair, kit, number). Девушка модельной внешности с ярким макияжем и ослепительной улыбкой. У нее платиновые волосы, собранные в высокий...

Art style: 3D Pixar. Luna abriendo la última carta con dedos temblorosos, una flor seca cayendo d...

Art style: 3D Pixar. Luna abriendo la última carta con dedos temblorosos, una flor seca cayendo de su interior, expresión de asombro en su rostro, pétalos y cartas alrededor, composición vertical con ángulo medio, luz suave dorada iluminando la carta y la flor, atmósfera reveladora...

Art style: 3D Pixar. Salón con una luz suave y difusa. Él está de pie junto a Ella, ofreciéndole ...

Art style: 3D Pixar. Salón con una luz suave y difusa. Él está de pie junto a Ella, ofreciéndole una taza de café en un gesto de atención inusual. Ella está sentada, mirando hacia el frente sin tomar la taza, con una distancia emocional evidente. Los colores son ocres y apagados. El teléfono de...

Art style: 3D Pixar. Горизонтальний крупний план нижньої частини дверей та порога. Чітко видно ви...

Art style: 3D Pixar. Горизонтальний крупний план нижньої частини дверей та порога. Чітко видно випадаючий з нижньої частини дверей ущільнювач, типу гільотина,. Підлога вкрита м'яким ковроліном нейтрального кольору. Світло відбивається від латунних деталей фурнітури. Атмосфера спокою та...

Art style: Cinematográfico realista. Marcos de rodillas frente a Elena, suplicando. Elena lo mira...

Art style: Cinematográfico realista. Marcos de rodillas frente a Elena, suplicando. Elena lo mira con compasión pero sin amor. ━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━ FINAL STYLE ENFORCEMENT (this is the authoritative rendering directive — it overrides any style wording elsewhere in the prompt):...

Art style: Cinematic Realistic. Крупный план мужской руки в черном рукаве смокинга, грубо и сильн...

Art style: Cinematic Realistic. Крупный план мужской руки в черном рукаве смокинга, грубо и сильно сжимающей тонкое женское запястье. На фоне видна часть лица Артура с неестественной, застывшей улыбкой, адресованной гостям. Кожа на запястье Стаси бледнеет от давления. Освещение становится более...

Nano Banana 2 hakkında

Görüntülerdeki metni ve çok nesneli sahneleri hâlâ iyi işleyen, Nano Banana Pro'nun daha hızlı ve daha ucuz kardeş modelidir. Çıktı 0.5K önizlemelerden 4K'ya kadar uzanır; afişler ve dikey hikâyeler için en-boy oranları 1:8 ile 8:1 arasındadır. İsteğe bağlı web araması görüntüyü güncel gerçeklere dayandırır; isteğe bağlı yüksek düşünme düzeyi karmaşık yerleşimleri çizmeden önce planlar. İstek başına en fazla dört görüntü.

Parametreler

Kanonik adı veya yerel adı gönderin; ikisini birden göndermeyin. Kanonik adlar

AdTür Varsayılanİzin verilen Açıklama
promptgerekli
Türstring
≤ 50.000 karakter≥ 3 karakter
Görsel üretmek için kullanılan metin talimatları.
num_imagesisteğe bağlı num_outputs
Türinteger
Varsayılan1
1 – 4
Üretim için istenen görsel sayısı.
seedisteğe bağlı
Türinteger | null
Rastgele sayı üretimini başlatan seed değeri.
aspect_ratioisteğe bağlı
Türenum
Varsayılanauto
auto21:916:93:24:35:41:14:53:42:39:164:11:48:11:8
Üretilen görselin en-boy oranını açıkça seçin; 4:1, 1:4, 8:1 veya 1:8 gibi uç seçenekler dahil olmak üzere bir oran seçebilir ya da modelin isteme göre seçim yapması için "auto" seçebilirsiniz.
output_formatisteğe bağlı
Türenum
Varsayılanpng
jpegpngwebp
Ortaya çıkan görselin dosya biçimi.
safety_toleranceisteğe bağlı
Türenum
Varsayılan4
123456
İçerik denetimi toleransını en az kısıtlayıcı seviye olan 6 ile çoğu içeriği engelleyen en katı seviye olan 1 arasında ayarlar.
system_promptisteğe bağlı
Türstring
Varsayılan
≤ 50.000 karakter
Gemini'ye sistem talimatı, OpenAI uyumlu sağlayıcılara ise sistem mesajı olarak iletilen, istek genelinde isteğe bağlı persona ve çıktı stili yönlendirmesi. Değer boş olduğunda bu talimat için hiçbir şey gönderilmez.
resolutionisteğe bağlı
Türenum
Varsayılan1K
0.5K1K2K4K
Çıktı görselinin çözünürlüğü.
limit_generationsisteğe bağlı
Türboolean
Varsayılantrue
Etkinleştirildiğinde kaliteyi etkileyebilen deneysel üretim sınırı. `True` ile her istem turu 1 üretimle sınırlandırılır; istemdeki görsel sayısı talimatları geçersiz kılınır ve model tarafından üretilen ara görseller yok sayılır.
thinking_levelisteğe bağlı
Türenum
minimalhigh
Modelin düşünmesini ilgili düzeyde etkinleştirmek ve düşüncelerini üretime dahil etmek için 'minimal' veya 'high' seçin; düzey ayarlanmazsa düşünme devre dışı kalır.
gerekli Kanonik ad, bu ad da kabul edilir

Çıktı

GET /requests/req_8k2m4q7x1z9c3v5b6n0p2r4t
{
  "id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
  "object": "request",
  "model": "nano-banana-2",
  "status": "succeeded",
  "created_at": "2026-10-20T12:00:00Z",
  "started_at": "2026-10-20T12:00:02Z",
  "completed_at": "2026-10-20T12:00:09Z",
  "queue_position": null,
  "cost": {
    "credits": 80,
    "usd": "0.08",
    "charged": 80,
    "refunded": 0
  },
  "input": {
    "prompt": "A cozy bookshop window at night with a hand-painted sign reading \"Open Late\", warm light, rain on the glass",
    "aspect_ratio": "4:5",
    "resolution": "1K"
  },
  "output": {
    "images": [
      {
        "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
        "content_type": "image/jpeg",
        "file_name": "0-output.jpeg",
        "file_size": 1843200,
        "width": 1024,
        "height": 768
      }
    ],
    "description": "string"
  },
  "outputs": [
    {
      "type": "image",
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
      "content_type": "image/jpeg",
      "file_size": 1843200,
      "width": 1024,
      "height": 768,
      "stored": true
    }
  ],
  "error": null,
  "metrics": {
    "inference_seconds": 6.8
  },
  "urls": {
    "self": "https://api.doitong.com/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
    "cancel": "https://api.doitong.com/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
  }
}
Dosyalarınız, seçiminizHer outputs[].url, depolamamızdaki bir kopyadır: sonsuza kadar (GB-ay başına ücretli) veya ücretsiz olarak 7 gün boyunca, hesap ayarınızla ya da ?storage= ile saklanır.
Her modelde aynı yapıGörüntüler, video ve ses için type, url, content_type, width, height ve duration aynıdır. output, modelin kendi sonuç nesnesidir.
Çıktı alanları
images
array of object {url, content_type, file_name, file_size, width, height}Model tarafından oluşturulan görseller.
description
stringÜretilen görsellere eşlik eden açıklama.

Daha fazla model: Metinden Görsele

AI aracıları için: bu sayfanın Markdown biçimi şurada: https://doitong.com/tr/developers/models/nano-banana-2.md. Tüm modeller ve kılavuzlar: https://doitong.com/developers/llms.txt